From 989b50c1d2b19a20fa3295ec6483707e05f085fa Mon Sep 17 00:00:00 2001
From: Florian Franzmann <bwlf@bandrate.org>
Date: Wed, 25 Jan 2017 21:07:35 +0100
Subject: [PATCH] do not install files also present in guile

---
 doc/Makefile.am                      | 4 ++--
 doc/Makefile.in                      | 6 +++---
 doc/{guile.1 => guile1.1}            | 0
 guile-config/Makefile.am             | 4 ++--
 guile-config/Makefile.in             | 4 ++--
 guile-config/guile-config.in         | 2 +-
 guile-config/{guile.m4 => guile1.m4} | 0
 7 files changed, 10 insertions(+), 10 deletions(-)
 rename doc/{guile.1 => guile1.1} (100%)
 rename guile-config/{guile.m4 => guile1.m4} (100%)

diff --git a/doc/Makefile.am b/doc/Makefile.am
index 4581a72..054a5dd 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -21,9 +21,9 @@
 
 AUTOMAKE_OPTIONS = gnu
 
-SUBDIRS = ref tutorial goops r5rs
+SUBDIRS = tutorial goops
 
-dist_man1_MANS = guile.1
+dist_man1_MANS = guile1.1
 
 EXAMPLE_SMOB_FILES = \
     ChangeLog-2008 Makefile README image-type.c image-type.h myguile.c
diff --git a/doc/Makefile.in b/doc/Makefile.in
index e22d947..c6918d8 100644
--- a/doc/Makefile.in
+++ b/doc/Makefile.in
@@ -88,7 +88,7 @@ AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = $(SUBDIRS)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(EXTRA_DIST)
 am__relativize = \
   dir0=`pwd`; \
   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
@@ -324,8 +324,8 @@ top_builddir_absolute = @top_builddir_absolute@
 top_srcdir = @top_srcdir@
 top_srcdir_absolute = @top_srcdir_absolute@
 AUTOMAKE_OPTIONS = gnu
-SUBDIRS = ref tutorial goops r5rs
-dist_man1_MANS = guile.1
+SUBDIRS = tutorial goops
+dist_man1_MANS = guile1.1
 EXAMPLE_SMOB_FILES = \
     ChangeLog-2008 Makefile README image-type.c image-type.h myguile.c
 
diff --git a/doc/guile.1 b/doc/guile1.1
similarity index 100%
rename from doc/guile.1
rename to doc/guile1.1
diff --git a/guile-config/Makefile.am b/guile-config/Makefile.am
index cedcba9..68794e4 100644
--- a/guile-config/Makefile.am
+++ b/guile-config/Makefile.am
@@ -22,12 +22,12 @@
 
 bin_SCRIPTS=guile-config
 CLEANFILES=guile-config
-EXTRA_DIST=guile-config.in guile.m4 ChangeLog-2008
+EXTRA_DIST=guile-config.in guile1.m4 ChangeLog-2008
 
 ## FIXME: in the future there will be direct automake support for
 ## doing this.  When that happens, switch over.
 aclocaldir = $(datadir)/aclocal
-aclocal_DATA = guile.m4
+aclocal_DATA = guile1.m4
 
 ## We use @-...-@ as the substitution brackets here, instead of the
 ## usual @...@, so autoconf doesn't go and substitute the values
diff --git a/guile-config/Makefile.in b/guile-config/Makefile.in
index 32132d3..6723c36 100644
--- a/guile-config/Makefile.in
+++ b/guile-config/Makefile.in
@@ -284,9 +284,9 @@ top_srcdir = @top_srcdir@
 top_srcdir_absolute = @top_srcdir_absolute@
 bin_SCRIPTS = guile-config
 CLEANFILES = guile-config
-EXTRA_DIST = guile-config.in guile.m4 ChangeLog-2008
+EXTRA_DIST = guile-config.in guile1.m4 ChangeLog-2008
 aclocaldir = $(datadir)/aclocal
-aclocal_DATA = guile.m4
+aclocal_DATA = guile1.m4
 all: all-am
 
 .SUFFIXES:
diff --git a/guile-config/guile-config.in b/guile-config/guile-config.in
index b782292..45234ce 100644
--- a/guile-config/guile-config.in
+++ b/guile-config/guile-config.in
@@ -1,4 +1,4 @@
-#!@-bindir-@/guile \
+#!@-bindir-@/guile1 \
 -e main -s
 !#
 ;;;; guile-config --- utility for linking programs with Guile
diff --git a/guile-config/guile.m4 b/guile-config/guile1.m4
similarity index 100%
rename from guile-config/guile.m4
rename to guile-config/guile1.m4
-- 
2.11.0

